Jetzt kostenlos registrieren: Mitglieder surfen ohne Werbung!

 Banking-App >>> Android Upgrade für das Galaxy S4

  • 8 Antworten
  • Neuester Beitrag
Diskutiere Banking-App >>> Android Upgrade für das Galaxy S4 im Samsung Galaxy S4 (I9500 / I9505) Forum im Bereich Samsung Forum.
Tuepfelhyaene

Tuepfelhyaene

Neues Mitglied
Hallo zusammen, auf welche Android-Version lässt sich das Galaxy S4 upgraden?
Die Banking-Apps verlangen teilweise 6.0 ! 🙁

Danke für kompetente Antwort
 
Empfohlene Antwort(en)
Fletch

Fletch

Lexikon
letzte Offizielle Version ist 5.0.1
Wenn du rootest kannst du mit LineageOS auf Android 10 updaten. Da weiß ich aber nicht genau ob da die Banking Apps wegen CustomROM meckert ...

LineageOS Downloads
 
Fletch

Fletch

Lexikon
Stimmt, gerade auf meinem alten Samsung s7 mit LineageOS 17.1 und DKB getestet. App lässt sich normal installieren und starten.
 
Alle Antworten (8)
Fletch

Fletch

Lexikon
letzte Offizielle Version ist 5.0.1
Wenn du rootest kannst du mit LineageOS auf Android 10 updaten. Da weiß ich aber nicht genau ob da die Banking Apps wegen CustomROM meckert ...

LineageOS Downloads
 
bluedesire

bluedesire

Experte
Du musst halt Rooten, Lineage OS drauf, Google Dienste drauf und dann Magisk brauchst du dann um den Root zu verstecken, da sonst die Banking App rumeckert, dass das Gerät nicht zugelassen wird, bzw. im Playstore bekommst du sie vorher auch nicht angezeigt.

Hier auch mit prima Beschreibung:
I9505 - [JDCTeam] 🔟 Optimized LineageOS 17.1 🔟 v5.0
 
Zuletzt bearbeitet:
M

Matador

Erfahrenes Mitglied
Root tut nicht unbedingt not. Nach der Installation von Los 7 läuft auf meinen BQ x5 plus alles was ich brauche auch ohne root.
Das einzige was man braucht ist einen entsperren Bootloader.
 
Fletch

Fletch

Lexikon
Stimmt, gerade auf meinem alten Samsung s7 mit LineageOS 17.1 und DKB getestet. App lässt sich normal installieren und starten.
 
SaschaKH

SaschaKH

Super-Moderator
Teammitglied
Das neueste von Samsung ist glaub ᐉ GT-I9505 (Samsung GALAXY S4) Firmware Download | Region Germany (DTM) (T-Mobile) | PDA: I9505XXUHQK1 — [EN] | Samdb.Org und das ist wie schon gesagt wurde 5.0.1 und sowieso weit über zwei Jahre alt. Wenn Du also etwas neueres willst, musst Du wohl wechseln z.B. auf I9505 - [JDCTeam] Optimized LineageOS 16.0 Version 14 (Februar 2020) [PIE_r46][BuffCore] (auch schon etwas älter, sollte aber reichen), I9505 - [JDCTeam] 🔟 Optimized LineageOS 17.1 🔟 v5.0 oder eben auf die unveränderte LOS Version, was die neueste ist LineageOS Downloads

Wir reden hier über ein Samsung, außerdem ist das Model glaub über 7 Jahre alt, einen gesperrten Bootloader gibt es da nicht. Root brauchst Du nicht, außerdem ist das sowieso die falsche Reihenfolge, man Rootet nachdem man das ROM aufgespielt hat, den beim Aufspielen der ROM wird sowieso alles gelöscht/überschrieben, aber wie gesagt: brauchst Du nicht. Google Dienste brauchst Du auch nicht unbedingt, die Meisten machen allerdings schon GAPPs drauf, aber mehr dazu findest Du in den zwei oben genanten Themen.

Was Du übrigens für wohl alle ROMs brauchst, die nicht von Samsung selbst kommen, eine bessere Recovery (TWRP empfohlen).
 
Zuletzt bearbeitet:
bluedesire

bluedesire

Experte
Und das Knox? 0x1 ist darauf achten doch auch Apps wie zum Beispiel netflix oder hat das nur mit root zu tun
 
SaschaKH

SaschaKH

Super-Moderator
Teammitglied
Gute Frage, beim S4 war Knox glaub schon in Hardware ausgelegt, also einmal getriggert und man wird es höchstens durch Mainboard-tausch wieder los. Keine Ahnung ob man es mit irgendeiner Rootmethode vermeiden kann, glaub eher nicht. Durch einen nicht Samsung-konformen Kernel oder ein anderes Recovery wie z.B. TWRP wird Knox definitiv aktiviert. Wenn die Banking-App das also auch noch überprüft, geht höher als 5.0.1 nicht. Wenn also Android 6 verlangt wird und kein anderes ROM erlaubt ist, geht das S4 nicht.

Erinnert mich jetzt an das iPhone 6 (glaub), wo den Leuten gesagt wird, die Corona-APP sollte man schon haben, aber auf so alten Teilen geht es nicht, also einfach was neues kaufen. Finde ich irgenwie schon ... wenn Leuten von offizieller Seite zum Wegschmeißen geraten wird.
 
Fletch

Fletch

Lexikon
Wie gesagt geht z.B. DKB mit LineageOS 17.1 auf meinem S7. Mit Knox 0x1
 
Ähnliche Themen - Banking-App >>> Android Upgrade für das Galaxy S4 Antworten Datum
5